Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.jocl.compute
Class ComputeByteBuffer

    java.lang.Object
      de.grogra.gpuflux.jocl.compute.ComputeByteBuffer

    public class ComputeByteBuffer

extends java.lang.Object

Constructor Summary
`ComputeByteBuffer(boolean littleEndian, boolean bigEndian)`

Method Summary
`ByteArray` | `getBigEndianBuffer()`
`ByteArray` | `getBuffer(boolean littleEndian)`
`ByteArray` | `getLittleEndianBuffer()`
`void` | `reset()`
`int` | `size()`
`void` | `write(byte b)`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int[] pixels)`
`void` | `write(Matrix3f m)`
`void` | `write(Matrix4f m)`
`void` | `write(Tuple2f v)`
`void` | `write(Tuple3d v)`
`void` | `write(Tuple3f v)`
`void` | `write(Tuple4d v)`
`void` | `writeBoolean(boolean bool)`
`void` | `writeDouble(double v)`
`void` | `writeFloat(double d)`
`void` | `writeFloat(float v)`
`void` | `writeInt(int i)`
`void` | `writeLong(long l)`
`void` | `writeShort(int s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComputeByteBuffer

    public ComputeByteBuffer(boolean littleEndian,
                             boolean bigEndian)

Method Detail

### getBigEndianBuffer

    public ByteArray getBigEndianBuffer()

### getBuffer

    public ByteArray getBuffer(boolean littleEndian)

### getLittleEndianBuffer

    public ByteArray getLittleEndianBuffer()

### reset

    public void reset()

### size

    public int size()

### write

    public void write(byte b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(int[] pixels)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(Matrix3f m)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(Matrix4f m)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(Tuple2f v)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(Tuple3d v)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(Tuple3f v)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(Tuple4d v)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeBoolean

    public void writeBoolean(boolean bool)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeDouble

    public void writeDouble(double v)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeFloat

    public void writeFloat(double d)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeFloat

    public void writeFloat(float v)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeInt

    public void writeInt(int i)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeLong

    public void writeLong(long l)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeShort

    public void writeShort(int s)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD